%define staticdevelname %mklibname bison -d -s

Summary:	A GNU general-purpose parser generator
Name:		bison
Version:	2.6.4
Release:	1
License:	GPL
Group:		Development/Other
URL:		http://www.gnu.org/software/bison/bison.html
Source0:	ftp://ftp.gnu.org/pub/gnu/bison/bison-%{version}.tar.xz
Source1:	bison.rpmlintrc
Patch0:		bison-1.32-extfix.patch
Requires:	m4 >= 1.4
BuildRequires:	help2man
BuildRequires:	m4 >= 1.4
Obsoletes:	%{mklibname bison -d -s} < 2.6.2

%description
Bison is a general purpose parser generator which converts a grammar
description for an LALR context-free grammar into a C program to parse
that grammar.  Bison can be used to develop a wide range of language
parsers, from ones used in simple desk calculators to complex programming
languages.  Bison is upwardly compatible with Yacc, so any correctly
written Yacc grammar should work with Bison without any changes.  If
you know Yacc, you shouldn't have any trouble using Bison (but you do need
to be very proficient in C programming to be able to use Bison).  Many
programs use Bison as part of their build process. Bison is only needed
on systems that are used for development.

If your system will be used for C development, you should install Bison
since it is used to build many C programs.

%prep
%setup -q
%patch0 -p1 -b .extfix

%build
%configure2_5x \
	--disable-rpath \
	--enable-threads

%make

%check
make check

%install
%makeinstall_std

mv %{buildroot}%{_bindir}/yacc %{buildroot}%{_bindir}/yacc.bison


%find_lang %{name}
%find_lang %{name}-runtime
cat %{name}-runtime.lang >> %{name}.lang

rm -f %{buildroot}%{_mandir}/man1/yacc.1

# (tpg) this is not needed at all
rm -rf %{buildroot}%{_libdir}/liby.a

%post
%{_sbindir}/update-alternatives --install %{_bindir}/yacc yacc %{_bindir}/yacc.bison 10

%preun
if [ $1 -eq 0 ]; then
  %{_sbindir}/update-alternatives --remove yacc %{_bindir}/yacc.bison
fi

%triggerpostun -- byacc <= 1.9-16mdk
%{_sbindir}/update-alternatives --install %{_bindir}/yacc yacc %{_bindir}/yacc.bison 10

%files -f %{name}.lang
%doc COPYING NEWS README
%{_bindir}/*
%dir %{_datadir}/bison
%{_datadir}/bison/*
%{_datadir}/aclocal/*
%{_infodir}/bison.info*
%{_mandir}/man1/*


%changelog
* Tue Oct 30 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.4-1
+ Revision: 821230
- update to new version 2.6.4

* Tue Aug 07 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.2-1
+ Revision: 812365
- disable rpath
- properly disable static libraries
- update to new version 2.6.2
- drop static library

  + Bernhard Rosenkraenzer <bero@bero.eu>
    - Update to 2.6.1

* Fri Jul 20 2012 Alexander Khrukin <akhrukin@mandriva.org> 2.6-1
+ Revision: 810407
- version update 2.6

* Wed Jun 06 2012 Bernhard Rosenkraenzer <bero@bero.eu> 2.5.1-1
+ Revision: 802983
- Update to 2.5.1

* Sat Jun 02 2012 Andrey Bondrov <abondrov@mandriva.org> 2.5-2
+ Revision: 801961
- Drop some legacy junk

  + Franck Bui <franck.bui@mandriva.com>
    - Remove useless build dependency on java-1.6.0-openjdk-devel

* Sun May 15 2011 Funda Wang <fwang@mandriva.org> 2.5-1
+ Revision: 674775
- new version 2.5

* Thu May 05 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.4.3-3
+ Revision: 669468
- fix man page conflict (#63208)

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 2.4.3-2
+ Revision: 663322
- mass rebuild

* Fri Aug 06 2010 Funda Wang <fwang@mandriva.org> 2.4.3-1mdv2011.0
+ Revision: 567145
- New version 2.4.3

* Sun Mar 21 2010 Funda Wang <fwang@mandriva.org> 2.4.2-1mdv2010.1
+ Revision: 525959
- output test do not need any more
- subpipe patch do not apply
- new version 2.4.2

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 2.4.1-5mdv2010.1
+ Revision: 518986
- rebuild

* Sun Oct 04 2009 Oden Eriksson <oeriksson@mandriva.com> 2.4.1-4mdv2010.0
+ Revision: 453330
- package the static lib (requested by mnaud)

* Fri Sep 25 2009 Olivier Blin <blino@mandriva.org> 2.4.1-3mdv2010.0
+ Revision: 448805
- disable java on mips & arm (from Arnaud Patard)

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 2.4.1-2mdv2010.0
+ Revision: 413170
- rebuild

* Tue Dec 30 2008 Oden Eriksson <oeriksson@mandriva.com> 2.4.1-1mdv2009.1
+ Revision: 321329
- 2.4.1
- sync with fedora (P2 + deps)
- fix build with -Wformat-security (P3)

* Sat Nov 29 2008 Christiaan Welvaart <spturtle@mandriva.org> 2.4-1mdv2009.1
+ Revision: 308164
- 2.4
- rediff patch0
- patch1: disable test for not overwriting input file
- add buildrequires: help2man

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 2.3-6mdv2009.0
+ Revision: 220482
- rebuild

* Sun Jan 06 2008 Stefan van der Eijk <stefan@mandriva.org> 2.3-5mdv2008.1
+ Revision: 146027
- rebuild to fix error: unpacking of archive failed on file /usr/bin/bison;4780a23e: cpio: read

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.3-4mdv2007.1
+ Revision: 146590
- do not package big ChangeLog

* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 2.3-3mdv2007.1
+ Revision: 108197
- fix pre and preun requires
- use check macro
- use find-lang

  + Oden Eriksson <oeriksson@mandriva.com>
    - bzip2 cleanup

* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com> 2.3-2mdv2007.1
+ Revision: 63270
- bunzip patches
- Import bison

* Fri Jul 21 2006 Emmanuel Andry <eandry@mandriva.org> 2.3-1mdv2007.0
- 2.3

* Sat Jun 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.2-1mdv2007.0
- 2.2

* Tue May 16 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.1-3mdk
- Rebuild (missing binary)

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 2.1-2mdk
- rebuild for sparc

* Thu Oct 06 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.1-1mdk
- New version

* Fri Aug 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0-3mdk
- fix rpmlint errors (PreReq)

* Fri Aug 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0-2mdk
- fix rpmlint errors (PreReq)

* Wed Jan 05 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.0-1mdk
- New version
- Add docs

* Thu Dec 23 2004 Abel Cheung <deaddog@mandrake.org> 1.875e-1mdk
- New version
- Fix URL
- Make it an alternative to byacc
- make check

* Fri Jul 30 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.875d-1mdk
- 1.875d
- drop P1 (fixed upstream)
- cosmetics

* Wed Jun 02 2004 Robert Vojta <robert.vojta@mandrake.org> 1.875-5mdk
- Requires m4 package (#9922)

